org.apache.xmlbeans

## Class XmlOptionsBean

- java.lang.Object
- - org.apache.xmlbeans.XmlOptions
  - - org.apache.xmlbeans.XmlOptionsBean

- All Implemented Interfaces:
    Serializable

  Deprecated.
  use XmlOptions instead

      @Deprecated
      public class XmlOptionsBean
      extends XmlOptions

  Same as `XmlOptions` but adhering to JavaBean conventions
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.xmlbeans.XmlOptions

      `XmlOptions.XmlOptionsKeys`

  - ### Field Summary

    - ### Fields inherited from class org.apache.xmlbeans.XmlOptions

      `DEFAULT_ENTITY_EXPANSION_LIMIT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlOptionsBean()` Deprecated. Construct a new blank XmlOptions.
    `XmlOptionsBean(XmlOptions other)` Deprecated. Construct a new XmlOptions, copying the options.

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlbeans.XmlOptions

      `get, getBaseURI, getCharacterEncoding, getCompileMdefNamespaces, getCompileSubstituteNames, getDocumentSourceName, getDocumentType, getEntityExpansionLimit, getEntityResolver, getErrorListener, getLoadAdditionalNamespaces, getLoadEntityBytesLimit, getLoadReplaceDocumentElement, getLoadSubstituteNamespaces, getLoadUseXMLReader, getSaaj, getSaveCDataEntityCountThreshold, getSaveCDataLengthThreshold, getSaveFilterProcinst, getSaveImplicitNamespaces, getSavePrettyPrintIndent, getSavePrettyPrintOffset, getSaveSubstituteCharacters, getSaveSuggestedPrefixes, getSaveSyntheticDocumentElement, getSchemaCodePrinter, getUseSameLocale, getXqueryCurrentNodeVar, getXqueryVariables, hasOption, isAttributeValidationCompatMode, isCompileDownloadUrls, isCompileNoAnnotations, isCompileNoPvrRule, isCompileNoUpaRule, isCompileNoValidation, isCompilePartialTypesystem, isCopyUseNewSynchronizationDomain, isLoadDTDGrammar, isLoadExternalDTD, isLoadLineNumbers, isLoadLineNumbersEndElement, isLoadMessageDigest, isLoadStripComments, isLoadStripProcinsts, isLoadTrimTextBuffer, isLoadUseDefaultResolver, isLoadUseLocaleCharUtil, isSaveAggressiveNamespaces, isSaveInner, isSaveNamespacesFirst, isSaveNoXmlDecl, isSaveOptimizeForSpeed, isSaveOuter, isSavePrettyPrint, isSaveSaxNoNSDeclsInAttributes, isSaveUseOpenFrag, isSetLoadStripWhitespace, isUnsynchronized, isUseCDataBookmarks, isUseDefaultNamespace, isValidateOnSet, isValidateStrict, isValidateTextOnly, isValidateTreatLaxAsSkip, isXPathUseSaxon, isXPathUseXmlBeans, maskNull, remove, setAttributeValidationCompatMode, setBaseURI, setCharacterEncoding, setCompileDownloadUrls, setCompileDownloadUrls, setCompileMdefNamespaces, setCompileNoAnnotations, setCompileNoAnnotations, setCompileNoPvrRule, setCompileNoPvrRule, setCompileNoUpaRule, setCompileNoUpaRule, setCompileNoValidation, setCompilePartialTypesystem, setCompilePartialTypesystem, setCompileSubstituteNames, setCopyUseNewSynchronizationDomain, setDocumentSourceName, setDocumentType, setEntityExpansionLimit, setEntityResolver, setErrorListener, setLoadAdditionalNamespaces, setLoadDTDGrammar, setLoadEntityBytesLimit, setLoadExternalDTD, setLoadLineNumbers, setLoadLineNumbers, setLoadLineNumbersEndElement, setLoadLineNumbersEndElement, setLoadMessageDigest, setLoadMessageDigest, setLoadReplaceDocumentElement, setLoadStripComments, setLoadStripComments, setLoadStripProcinsts, setLoadStripProcinsts, setLoadStripWhitespace, setLoadStripWhitespace, setLoadSubstituteNamespaces, setLoadTrimTextBuffer, setLoadTrimTextBuffer, setLoadUseDefaultResolver, setLoadUseDefaultResolver, setLoadUseLocaleCharUtil, setLoadUseXMLReader, setSaaj, setSaveAggressiveNamespaces, setSaveAggressiveNamespaces, setSaveCDataEntityCountThreshold, setSaveCDataLengthThreshold, setSaveFilterProcinst, setSaveImplicitNamespaces, setSaveInner, setSaveInner, setSaveNamespacesFirst, setSaveNamespacesFirst, setSaveNoXmlDecl, setSaveNoXmlDecl, setSaveOptimizeForSpeed, setSaveOuter, setSaveOuter, setSavePrettyPrint, setSavePrettyPrint, setSavePrettyPrintIndent, setSavePrettyPrintOffset, setSaveSaxNoNSDeclsInAttributes, setSaveSaxNoNSDeclsInAttributes, setSaveSubstituteCharacters, setSaveSuggestedPrefixes, setSaveSyntheticDocumentElement, setSaveUseOpenFrag, setSaveUseOpenFrag, setSchemaCodePrinter, setUnsynchronized, setUnsynchronized, setUseCDataBookmarks, setUseDefaultNamespace, setUseDefaultNamespace, setUseSameLocale, setValidateOnSet, setValidateOnSet, setValidateStrict, setValidateStrict, setValidateTextOnly, setValidateTextOnly, setValidateTreatLaxAsSkip, setValidateTreatLaxAsSkip, setXPathUseSaxon, setXPathUseSaxon, setXPathUseXmlBeans, setXPathUseXmlBeans, setXqueryCurrentNodeVar, setXqueryVariables`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XmlOptionsBean

          public XmlOptionsBean()

      Deprecated.
      Construct a new blank XmlOptions.

    - #### XmlOptionsBean

          public XmlOptionsBean(XmlOptions other)

      Deprecated.
      Construct a new XmlOptions, copying the options.
      Parameters:
        `other` - the source `XmlOptions` object